{% extends 'template/layout.twig' %}
{% block style %}
    <link rel="stylesheet" type="text/css" href="css/tuto.css">
{% endblock %}
{% block body %}
    <div id="tuto">
        <h2>GLPI</h2>
        <h3 id="summary">Table des matières</h3>
        <a class="a_summary" href="#required">Prérequis</a><br>
        <a class="a_summary" href="#install">Installer GLPI</a><br>
        <a class="a_summary" href="#network">Configuration réseau</a><br>
        <h3 class="title" id="required">Prérequis</h3>
        <p>GLPI fonctionne sur la base d'un serveur web complet (base de données et PHP).<br>
            <a href="?p=home&sp=wamp">Accédez au tutoriel</a> pour créer un serveur web avec WAMP.</p>
        <h3 class="title" id="install">Installer GLPI</h3>
        <p><a href="https://github.com/glpi-project/glpi/releases/download/9.5.3/glpi-9.5.3.tgz">Téléchargez GLPI</a>, et extrayez l'archive .tgz</p>
        <a class="img" href="../img/windows/glpi/1.png" target="_blank"><img src="../img/windows/glpi/1.png"></a>
        <p>Extrayez l'archive .tar</p>
        <a class="img" href="../img/windows/glpi/2.png" target="_blank"><img src="../img/windows/glpi/2.png"></a>
        <p>Vous devriez maintenant avoir un dossier "glpi".</p>
        <a class="img" href="../img/windows/glpi/3.png" target="_blank"><img src="../img/windows/glpi/3.png"></a>
        <p>Rendez-vous dans le dossier où pointe votre serveur web, puis déplacez le dossier "glpi" à l'intérieur.</p>
        <a class="img" href="../img/windows/glpi/4.png" target="_blank"><img src="../img/windows/glpi/4.png"></a>
        <p>Je vais modifier le dossier où pointe mon serveur web pour attérir directement dans mon dossier "glpi".<br>
            Cette étape n'est pas nécessaire, vous pouvez accéder à GLPI en tapant http://127.0.0.1/glpi dans votre barre d'URL.</p>
        <a class="img" href="../img/windows/glpi/5.png" target="_blank"><img src="../img/windows/glpi/5.png"></a>
        <p>Je modifie le chemin d'accès, et je redémarre mon serveur web.</p>
        <a class="img" href="../img/windows/glpi/6.png" target="_blank"><img src="../img/windows/glpi/6.png"></a>
        <a class="img" href="../img/windows/glpi/7.png" target="_blank"><img src="../img/windows/glpi/7.png"></a>
        <p>Vous pouvez maintenant accéder à votre serveur GLPI via l'adresse http://127.0.0.1/<br>
            Cliquez sur "OK".</p>
        <a class="img" href="../img/windows/glpi/8.png" target="_blank"><img src="../img/windows/glpi/8.png"></a>
        <p>Acceptez les termes de la licence, et cliquez sur "Continuer".</p>
        <a class="img" href="../img/windows/glpi/9.png" target="_blank"><img src="../img/windows/glpi/9.png"></a>
        <p>Cliquez sur "Installer".</p>
        <a class="img" href="../img/windows/glpi/10.png" target="_blank"><img src="../img/windows/glpi/10.png"></a>
        <p>Vient la page fatidique : la vérification de l'environnement. Si votre fenêtre ressemble à la mienne, tout est OK.<br>
            Mais il est probable que vous ayez des tests qui échouent. Ceci signifie le plus souvent que vous n'avez pas installer toutes les extentions.<br>
            Avec WAMP, toutes les extensions nécessaires au fonctionnement de GLPI sont déjà installées.</p>
        <a class="img" href="../img/windows/glpi/11.png" target="_blank"><img src="../img/windows/glpi/11.png"></a>
        <p>Si ce n'est pas déjà fait, il faut maintenant configurer la connexion à la base de données.</p>
        <a class="img" href="../img/windows/glpi/12.png" target="_blank"><img src="../img/windows/glpi/12.png"></a>
        <p>Il faut créer un utilisateur "glpi" et lui créer une base de données sur laquelle il aura tout les droits.<br>
            Connectez-vous à votre base de données.</p>
        <a class="img" href="../img/windows/glpi/13.png" target="_blank"><img src="../img/windows/glpi/13.png"></a>
        <a class="img" href="../img/windows/glpi/14.png" target="_blank"><img src="../img/windows/glpi/14.png"></a>
        <a class="img" href="../img/windows/glpi/15.png" target="_blank"><img src="../img/windows/glpi/15.png"></a>
        <p>Une fois cela fait, saisissez les informations relatives à la base de données et à l'utilisateur créé à l'instant, puis cliquez sur "Continuer".</p>
        <a class="img" href="../img/windows/glpi/16.png" target="_blank"><img src="../img/windows/glpi/16.png"></a>
        <p>Sélectionnez la base de données créée à l'instant, ou créez là.</p>
        <a class="img" href="../img/windows/glpi/17.png" target="_blank"><img src="../img/windows/glpi/17.png"></a>
        <p>Une fois la base initialisée, cliquez sur "Continuer".</p>
        <a class="img" href="../img/windows/glpi/18.png" target="_blank"><img src="../img/windows/glpi/18.png"></a>
        <a class="img" href="../img/windows/glpi/19.png" target="_blank"><img src="../img/windows/glpi/19.png"></a>
        <a class="img" href="../img/windows/glpi/20.png" target="_blank"><img src="../img/windows/glpi/20.png"></a>
        <p>Sur cette page, vous avez des informations sur les identifiants des comptes créés par défaut par GLPI.<br>
            Cliquez sur "Utiliser GLPI".</p>
        <a class="img" href="../img/windows/glpi/21.png" target="_blank"><img src="../img/windows/glpi/21.png"></a>
        <p>Entrez l'identifiant "glpi" et le mot de passe "glpi", puis cliquez sur "Envoyer".</p>
        <a class="img" href="../img/windows/glpi/22.png" target="_blank"><img src="../img/windows/glpi/22.png"></a>
        <a class="img" href="../img/windows/glpi/23.png" target="_blank"><img src="../img/windows/glpi/23.png"></a>
        <h3 class="title" id="network">Configuration réseau</h3>
        <p>Pour que votre serveur web GLPI soit accessible depuis n'importe quel réseau, suivez les étapes suivantes.<br>
            Rendez-vous sur le panel d'administration de votre routeur.</p>
        <a class="img" href="../img/windows/glpi/24.png" target="_blank"><img src="../img/windows/glpi/24.png"></a>
        <p>Créez une règle de redirection pour les ports 80 et 443. Dans "Redirect target IP" saisissez l'adresse IP du serveur GLPI.</p>
        <a class="img" href="../img/windows/glpi/25.png" target="_blank"><img src="../img/windows/glpi/25.png"></a>
        <a class="img" href="../img/windows/glpi/26.png" target="_blank"><img src="../img/windows/glpi/26.png"></a>
        <p>Vérifiez si deux règles de pare-feu ont bien été créées pour autoriser les ports 80 et 443, sinon créez les.</p>
        <a class="img" href="../img/windows/glpi/27.png" target="_blank"><img src="../img/windows/glpi/27.png"></a>
        <p>Il faut également créer une règle de pare-feu sur le serveur GLPI.<br>
            Ouvrez le menu démarrer, tapez "Pare-feu" et ouvrez le Pare-feu Windows Defender.</p>
        <a class="img" href="../img/windows/glpi/28.png" target="_blank"><img src="../img/windows/glpi/28.png"></a>
        <p>Dans la partie de gauche, cliquez sur "Paramètres avancés".</p>
        <a class="img" href="../img/windows/glpi/29.png" target="_blank"><img src="../img/windows/glpi/29.png"></a>
        <p>Dans la fenêtre de gauche cliquez sur "Règles de trafic entrant", puis dans la fenêtre de droite cliquez sur "Nouvelle règle...".</p>
        <a class="img" href="../img/windows/glpi/30.png" target="_blank"><img src="../img/windows/glpi/30.png"></a>
        <p>Cochez "Port" puis cliquez sur "Suivant".</p>
        <a class="img" href="../img/windows/glpi/31.png" target="_blank"><img src="../img/windows/glpi/31.png"></a>
        <p>Cochez "Ports locaux spécifiques" et saisissez "80, 443".</p>
        <a class="img" href="../img/windows/glpi/32.png" target="_blank"><img src="../img/windows/glpi/32.png"></a>
        <a class="img" href="../img/windows/glpi/33.png" target="_blank"><img src="../img/windows/glpi/33.png"></a>
        <a class="img" href="../img/windows/glpi/34.png" target="_blank"><img src="../img/windows/glpi/34.png"></a>
        <p>Enfin, donnez un nom à votre règle et cliquez sur "Terminer".</p>
        <a class="img" href="../img/windows/glpi/35.png" target="_blank"><img src="../img/windows/glpi/35.png"></a>
    </div>
{% endblock %}